<!-- README.md is generated from README.Rmd. Please edit that file -->

# **liver** <a href='https://CRAN.R-project.org/package=liver'><img src='man/figures/logo.png' align="right" height="300" /></a>

![](https://www.r-pkg.org/badges/version/liver) 
![](https://www.r-pkg.org/badges/last-release/liver) 
![](https://cranlogs.r-pkg.org/badges/liver) 
![](https://cranlogs.r-pkg.org/badges/grand-total/liver) 

The `R` package **liver** provides a collection of helper functions that make various techniques from data science more user-friendly for non-experts. In this way, our aim is to allow non-experts to become familiar with the techniques with only a minimal level of coding knowledge. Indeed, following an ancient Persian idiom, we refer to this as "eating the liver of data science" which could be interpreted as "getting intimately close with data science". Examples of procedures we include are: data partitioning for out-of-sample testing, computing Mean Squared Error (MSE) for quantifying prediction accuracy, and data transformation (z-score and min-max). Besides such helper functions, the package also includes several interesting datasets that are useful for multivariate analysis.

## Installation

To install the latest version of this package from [CRAN](https://cran.r-project.org/package=liver), do the following from the R console:

``` r
install.packages( "liver" )
```

## Loading

``` r
library( liver )
```

## Example for Data Analysis

To see how to use the functionality of the package for data analysis:

[https://CRAN.R-project.org/package=liver/vignettes/liver-example.html](https://CRAN.R-project.org/package=liver/vignettes/liver-example.html)

